%define	pversion	3218

Summary:	Curses-based 3270 Emulator
Name:		c3270
Version:	3.2.18
Release:	1mdk
License:	GPL
Group:		Terminals
Url:		http://www.geocities.com/SiliconValley/Peaks/7814/
Source0:	c3270-%{pversion}.tar.bz2
Requires:	x3270 =< %{version} readline libncurses5 libtermcap2
Requires:	common-licenses
BuildRequires:	XFree86-devel libncurses5-devel readline-devel
BuildRequires:	glibc-devel libtermcap2-devel
BuildRoot:	%{_tmppath}/%{name}-%{pversion}-root

%description
Complete IBM 3278/3279 emulation, TN3270E support, structured
fields, color xterm emulation, highly configurable

%prep
%setup -q -n %{name}-3.2

%build
%configure --without-pr3287 
make %{name}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
install -m755 %{name} %{buildroot}%{_bindir}/
install -m644 %{name}.man %{buildroot}%{_mandir}/man1/%{name}.1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc html/Bugs.html html/Build.html html/FAQ.html html/Intro.html
%doc html/Lineage.html html/New.html html/README.html 
%doc html/Wishlist.html html/c3270-man.html README

%{_bindir}/%{name}
%{_mandir}/man1/%{name}*

%changelog
* Tue Jan  1 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.18-1mdk
- new version

* Mon Sep 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.2.17-1mdk
- added in contribs by Oden Eriksson <oden.eriksson@kvikkjokk.net> :
	- initial cooker contrib

